/*
 * Szegedi Tudományegyetem
 * Informatikai Tanszékcsoport
 * Szoftverfejlesztés Tanszék
 *
 * Programozás Alapjai feladat megoldása
 *
 * Gergely Tamás, 2008. őszi félév.
 * $Id$
 *
 * fordítás:
 *	gcc -Wall -o program-01-14 01-14-feladat.c
 */

#include <stdio.h>

int main() {
	int val, ret;
  FILE *infile;
  FILE *outfile;
  if(!(infile = fopen("be.txt", "r"))) {
  	fprintf(stderr, "Hiba: a be.txt nem olvasható\n");
  	return 1;
  }
  if(!(outfile = fopen("ki.txt", "w"))) {
  	fprintf(stderr, "Hiba: a ki.txt nem írható\n");
  	fclose(infile);
  	return 1;
  }
	ret=fscanf(infile, "nev: %*[^;]; pont: %d;", &val);
	if(ret==1) {
		fprintf(outfile, "A szam: %d\n", val);
	} else {
		fprintf(outfile, "Helytelen formatum\n");
	}
  fclose(infile);
  fclose(outfile);
	return 0;
}
