/*
 * Szegedi Tudományegyetem
 * Informatikai Tanszékcsoport
 * Szoftverfejlesztés Tanszék
 *
 * Programozás Alapjai feladat megoldása
 *
 * Gergely Tamás, 2008. őszi félév.
 * $Id$
 *
 * fordítás:
 *	gcc -Wall -o pointerek pointerek.c
 */

#include <stdio.h>
#include <stdlib.h>

int main()
{
	/* Két pointer deklarációja */
	int *p, *q;
	/* Két int típusú dinamikus változó létrehozása (memóriafoglalás) */
	p = malloc(sizeof(int));
	q = malloc(sizeof(int));
	/* Értékadás a két dinamikus változónak */
	*p = 3;
	*q = 3;
	printf("p és q %s\n", p == q ? "megegyezik" : "nem egyezik meg");
	printf("*p == %d, *q == %d\n", *p, *q);
	*p = 4;
	printf("*p == %d, *q == %d\n", *p, *q);
	free(p);
	p = q;
	printf("p és q %s\n", p == q ? "megegyezik" : "nem egyezik meg");
	printf("*p == %d, *q == %d\n", *p, *q);
	*p = 4;
	printf("*p == %d, *q == %d\n", *p, *q);
	free(p);
	return 0;
}
